### Method

# RB ShellPlayer get_playing_source

#### Declaration [src]

    RBSource*
    rb_shell_player_get_playing_source (
      RBShellPlayer* player
    )

#### Description [src]

Retrieves the current playing source. That is, the source from which the current song was drawn. This differs from

# rb_shell_player_get_active_source when the current song came

from the play queue.

#### Return value

Type: `RBSource`

The current playing `RBSource`.

The returned data is owned by the instance.